# this script creates this example dataset:
# linear regression - 01_regression.csv

library(dplyr)
library(faux)

# data setup
set.seed(123)
n <- 1000
dat <-
  rnorm_multi(n = n,
              r = .25,
              varnames = paste0("x", 1:2)) |> 
  mutate(y = x1 + x2 + rnorm(n))

# fit model to complete data
mod1 <- lm(y ~ x1 + x2, dat)
summary(mod1)

# make data missing
dat <-
  dat |> 
  mutate(
    # x1: MCAR
    x1 = ifelse(runif(n) > .9, NA, x1)
    )

# fit model with casewise deletion
mod2 <- lm(y ~ x1 + x2, dat)
summary(mod2)

# write.csv(dat, "01_regression.csv", row.names = F)
