# this script creates the dataset for the logistic exercise

library(dplyr)
library(faux)

set.seed(123)
n <- 100
dat <-
  rnorm_multi(n = n,
              r = .5,
              varnames = paste0("x", 1:3)) |> 
  mutate(y = rbinom(n = n, 
                    size = 1, 
                    prob = pnorm(scale(x1 + x2 + x3 + x2*x3 + rnorm(n)))))

glm(y ~ x1 + x2*x3, dat, family = binomial) |> summary()

dat <-
  dat |> 
  mutate(
    y = ifelse(runif(n) > .7, NA, y),
    x1 = ifelse( ( ( x2 > quantile(x2, .8) ) | ( x3 > quantile(x3, .8) ) ) & (runif(n) > .5), NA, x1)
  ) 

glm(y ~ x1 + x2*x3, dat, family = binomial) |> summary()

# write.csv(dat, "exercise_02.csv", row.names = F, na = "99")
